rsvg2-sharp 2.16.0.0 2.18.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.Object Utility/Convenience Functions for creating a from SVG. To be added
- Constructor
  2.18.0.0
  To be added
  To be added
- Method
  2.18.0.0
  System.Obsolete
  Gdk.Pixbuf `` A file name Loads a new from and returns it. A newly allocated , or If an error occurred is returned.
- Method
  2.18.0.0
  System.Obsolete
  Gdk.Pixbuf `` `` `` A file name The requested max width The requested max height Loads a new from at and . A newly allocated , or This pixbuf is uniformly scaled so that the it fits into a rectangle of size * . If an error occurred is returned.
- Method
  Gdk.Pixbuf `` `` `` `` Loads a new from at and . The you wish to render with (either normal or gzipped) A file name The requested max width The requested max height A newly allocated , or This pixbuf is uniformly scaled so that the it fits into a rectangle of size * .
- Method
  2.18.0.0
  System.Obsolete
  Gdk.Pixbuf `` `` `` A file name The new width, or -1 The new height, or -1 Loads a new from at and . A newly allocated , or This pixbuf is scaled from the size indicated to the new size indicated by and . If either of these are -1, then the default size of the image being loaded is used. If an error occurred is returned.
- Method
  Gdk.Pixbuf `` `` `` `` Loads a new from at and The you wish to render with (either normal or gzipped) A file name The new width, or -1 The new height, or -1 A newly allocated , or This pixbuf is scaled from the size indicated to the new size indicated by width and height. If either of these are -1, then the default size of the image being loaded is used. If an error occurred is returned.
- Method
  2.18.0.0
  System.Obsolete
  Gdk.Pixbuf `` `` `` A file name The horizontal zoom factor The vertical zoom factor Loads a new from at and . A newly allocated , or This pixbuf is scaled from the size indicated by the file by a factor of and . If an error occurred is returned.
- Method
  Gdk.Pixbuf `` `` `` `` Loads a new GdkPixbuf from at and . The you wish to render with (either normal or gzipped) A file name The horizontal zoom factor The vertical zoom factor A newly allocated , or This pixbuf is scaled from the size indicated by the file by a factor of and .
- Method
  2.18.0.0
  System.Obsolete
  Gdk.Pixbuf `` `` `` `` `` A file name The horizontal zoom factor The vertical zoom factor The requested max width The requested max height Loads a new from at , , and . A newly allocated , or This pixbuf is scaled from the size indicated by the file by a factor of and . If the resulting pixbuf would be larger than / it is uniformly scaled down to fit in that rectangle. If an error occurred is returned.
- Method
  Gdk.Pixbuf `` `` `` `` `` `` Loads a new GdkPixbuf from file_name The you wish to render with (either normal or gzipped) A file name The horizontal zoom factor The vertical zoom factor The requested max width The requested max height A newly allocated , or This pixbuf is scaled from the size indicated by the file by a factor of and . If the resulting pixbuf would be larger than / it is uniformly scaled down to fit in that rectangle.
- Method
  Gdk.Pixbuf `` `` Loads a new GdkPixbuf from . The you wish to render with (either normal or gzipped) A file name A newly allocated , or If an error occurred, error is set and is returned.
- Method
  2.18.0.0
  Gdk.Pixbuf `` a To be added a To be added
- Method
  2.18.0.0
  Gdk.Pixbuf `` a To be added a To be added